Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 284475 - Failed to emerge kde-base/nepomuk-4.3.x w/ libjvm.so
Summary: Failed to emerge kde-base/nepomuk-4.3.x w/ libjvm.so
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
: 288465 291875 293628 295092 306271 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-09-10 12:27 UTC by saihttam
Modified: 2010-08-29 11:26 UTC (History)
17 users (show)

See Also:
Package list:
Runtime testing required: ---
tampakrap: Bugday+


Attachments
emerge --info (emerge.info.txt,11.91 KB, text/plain)
2009-09-10 12:32 UTC, saihttam
Details

Note You need to log in before you can comment on or make changes to this bug.
Description saihttam 2009-09-10 12:27:42 UTC
emerge --update world fails while emerging kde-base/nepomuk-4.3.1 with the following error:

[  1%] Built target nepomuk-manpage-man-nepomukserver
[  2%] Generating nie.h, nie.cpp
#
# An unexpected error has been detected by HotSpot Virtual Machine:
#
#  SIGSEGV (0xb) at pc=0x40d9d777, pid=22981, tid=1080757168
#
# Java VM: Java HotSpot(TM) Server VM (Blackdown-1.4.2-03 mixed mode)
# Problematic frame:
# V  [libjvm.so+0x21f777]
#
# An error report file with more information is saved as hs_err_pid22981.log
#
# If you would like to submit a bug report, please visit:
#   http://www.blackdown.org/cgi-bin/jdk
#
/bin/sh: Zeile 1: 22981 Abgebrochen             onto2vocabularyclass --name NIE --encoding trig --namespace Nepomuk::Vocabulary --no-visibility-export /var/tmp/portage/kde-base/nepomuk-4.3.1/work/nepomuk-4.3.1/nepomuk/ontologies/nie.trig
make[2]: *** [nepomuk/strigibackend/nie.h] Fehler 134
make[1]: *** [nepomuk/strigibackend/CMakeFiles/sopranobackend.dir/all] Fehler 2
make[1]: *** Warte auf noch nicht beendete Prozesse...
[  3%] Built target nepomuk-manpage-man-nepomukservicestub
make: *** [all] Fehler 2


Reproducible: Always

Steps to Reproduce:
Comment 1 Tomáš Chvátal (RETIRED) gentoo-dev 2009-09-10 12:32:13 UTC
@java:
looks like some java problem, or not?
Comment 2 saihttam 2009-09-10 12:32:46 UTC
Created attachment 203676 [details]
emerge --info

See emerge --info in attachment.
Comment 3 saihttam 2009-09-10 12:45:47 UTC
(In reply to comment #1)
> @java:
> looks like some java problem, or not?
> 
In java-config -L
the " Sun JDK 1.6.0.16 [sun-jdk-1.6]" is set...
i don't know why nepomuk ebuild tries to use Blackdown-1.4.2-03...

Why is java used while generating nie.h, nie.cpp?
Any idea where to find hs_err_pid22981.log?

Comment 4 Bartosz Szreder 2009-09-11 11:45:19 UTC
Try somewher at /var/log (unlikely) or emerge slocate and use that.

BTW, try unmerging every other java implementation (provided it isn't needed by you for some reasons) then reemerging nepomuk.
Comment 5 Alistair Bush (RETIRED) gentoo-dev 2009-09-18 00:12:42 UTC
Can someone tell me why/where/what is calling java?  Lets ignore why its failing.  I'm more interested in why its even trying to use it.

Also what is the output of java-config-1 -L

Also hs_err_pid*.log files are usually created in the current directory, or $HOME.  So that could be somewhere in /var/tmp/portage/.../.../{temp,homedir,work} or even /root.
Comment 6 Maciej Mrozowski gentoo-dev 2009-09-18 02:49:06 UTC
dev-libs/soprano built with USE=java
Unfortunately it's the only working storage backend (the other one is mentioned in bug 275326)
I think it may be worth investigating why Java hotspot crashes here (definitely should not have).
Comment 7 Aniruddha Shankar 2009-10-19 17:53:50 UTC
I did an emerge -v1 soprano and then it built fine, YMMV
Comment 8 Eythor Kristleifsson 2009-10-21 17:39:19 UTC
I had this exact same problem.   I can confirm that emerge -v1 soprano fixed it.
Comment 9 Francisco Blas Izquierdo Riera gentoo-dev 2009-10-25 20:52:32 UTC
Suffering this same problem and reemerging soprano didn't help.

According to dmesg the cause is ld.so
onto2vocabulary[20602]: segfault at 376777344d80 ip 000037677712da41 sp 00007e4f28272810 error 7 in ld-2.9.so[376777125000+20000
Comment 10 Francisco Blas Izquierdo Riera gentoo-dev 2009-10-25 20:58:40 UTC
Hum, PAX marking -m 

saihttam, if you use pax emerge sys-apps/paxctl then run:
$paxctl -m /usr/bin/onto2vocabularyclass
Comment 11 Nikita Melnichenko 2009-11-07 20:36:45 UTC
I experienced the same behavior but when generating strigiservice.moc (nepomuk-4.3.3 ebuild). So I played with it for a little and found out that Sun JDK upgrade (from 1.6.0.15 to 1.6.0.17) is related to this segfault (i didn't understand why it claims about Blackdown while Sun implementation is selected on my system). The problem seems to be in soprano's file /usr/bin/onto2vocabularyclass and reemerging soprano helps to me.

So steps to reproduce this bug that works for me:
1. downgrade to dev-java/sun-jdk-1.6.0.15
2. emerge soprano (2.3.1)
3. upgrade to dev-java/sun-jdk-1.6.0.17
4. emerge nepomuk (4.3.2, 4.3.3, whatever)

Step to fix:
1. emerge soprano
2. emerge nepomuk
Comment 12 Alex Alexander (RETIRED) gentoo-dev 2009-11-09 02:23:57 UTC
*** Bug 288465 has been marked as a duplicate of this bug. ***
Comment 13 Alex Alexander (RETIRED) gentoo-dev 2009-11-09 02:24:46 UTC
*** Bug 291875 has been marked as a duplicate of this bug. ***
Comment 14 Frank Hollenbach 2009-11-14 22:44:44 UTC
(In reply to comment #11)
> I experienced the same behavior but when generating strigiservice.moc
> (nepomuk-4.3.3 ebuild). So I played with it for a little and found out that Sun
> JDK upgrade (from 1.6.0.15 to 1.6.0.17) is related to this segfault (i didn't
> understand why it claims about Blackdown while Sun implementation is selected
> on my system). The problem seems to be in soprano's file
> /usr/bin/onto2vocabularyclass and reemerging soprano helps to me.
> 
> So steps to reproduce this bug that works for me:
> 1. downgrade to dev-java/sun-jdk-1.6.0.15
> 2. emerge soprano (2.3.1)
> 3. upgrade to dev-java/sun-jdk-1.6.0.17
> 4. emerge nepomuk (4.3.2, 4.3.3, whatever)

Well, what about ibm-jdk-bin-1.6 ? Used by ppc and ppc64 ?


> 
> Step to fix:
> 1. emerge soprano
> 2. emerge nepomuk
> 

Comment 15 David Mulford 2009-11-15 05:37:44 UTC
Confirmed here as well.

Steps to resolve:
1. emerge soprano
2. emerge nepomuk

Comment 16 Tomáš Chvátal (RETIRED) gentoo-dev 2009-11-18 15:37:43 UTC
*** Bug 293628 has been marked as a duplicate of this bug. ***
Comment 17 Detlev Casanova 2009-11-18 16:47:43 UTC
emerge soprano
emerge nepomuk

did not help for me (see bug #293628 for my config)
Comment 18 Detlev Casanova 2009-11-25 17:47:23 UTC
By the way, when I emerge with USE="redland -java" emerge soprano nepomuk, I get this error :

Generating nie.h, nie.cpp                                                                                                                                                                    
[  1%] Generating nepomukservicestub.8                                                                                                                                                       
(Soprano::Redland::BackendPlugin) creating model of type "hashes" with options "hash-type='memory',contexts='yes'"                                                                           
"/usr/bin/onto2vocabularyclass(8806)" Error in thread 47424541615312 : "query: Graph pattern graph operation is not implemented yet. Ending query execution. (error)" (line: 1, column: -1)  
(Soprano::Redland)  "query: Graph pattern graph operation is not implemented yet. Ending query execution. (error)"                                                                           
namespace:  "http://www.semanticdesktop.org/ontologies/2007/01/19/nie#"                                                                                                                      
/bin/sh: line 1:  8806 Segmentation fault      onto2vocabularyclass --name NIE --encoding trig --namespace Nepomuk::Vocabulary --no-visibility-export /var/tmp/portage/kde-base/nepomuk-4.3.3/work/nepomuk-4.3.3/nepomuk/ontologies/nie.trig                                                                                                                                              
make[2]: *** [nepomuk/strigibackend/nie.h] Error 139                                                                                                                                         
make[1]: *** [nepomuk/strigibackend/CMakeFiles/sopranobackend.dir/all] Error 2                                                                                                               
make[1]: *** Waiting for unfinished jobs....
Comment 19 Samuli Suominen gentoo-dev 2009-11-30 11:45:30 UTC
*** Bug 295092 has been marked as a duplicate of this bug. ***
Comment 20 phl0ri4n 2009-11-30 20:06:14 UTC
the following steps solved the issue (in the past i switched java-vm from blackdown jdk to sun jdk)

rm /etc/env.d/20java
env-update && source /etc/profile
emerge --oneshot soprano

Comment 21 Detlev Casanova 2009-11-30 20:25:48 UTC
Sorry but no, the error is still there. I don't have a 20java file though, I tried removing all *ava* files.
Comment 22 Detlev Casanova 2009-12-04 11:42:21 UTC
nepomuk-4.3.4 has been sucessfully merge with the upgrade to kde 4.3.4 with soprano 2.3.1 and java :

[ebuild   R   ] dev-libs/soprano-2.3.1  USE="clucene dbus debug java raptor -doc -redland"
[ebuild   R   ] kde-base/nepomuk-4.3.4  USE="debug handbook (-aqua) (-kdeenablefinal) (-kdeprefix)"
Comment 23 Phil Turmel 2010-01-20 16:53:34 UTC
I recently ran into this, and couldn't solve it with the above recommendations.  When I looked closer, I noticed that the segfault was in libldap-2.3.so.  I had upgraded openldap to v2.4, but I hadn't noticed the v2.3 library cleanup instructions in the ebuild's pkg_postinst().

After eliminating the old openldap libs as instructed, emerging nepomuk succeeded.  Hope this helps someone.
Comment 24 Aleksey Yeryomin 2010-01-23 12:49:46 UTC
I kill files libldap-2.3.* and liblber-2.3.*
And now on nepomuk emerge take:
 Scanning dependencies of target nepomuk-manpage-man-nepomukservicestub                                                             
[  0%] Generating nepomukservicestub.8                                                                                             
[  0%] Built target kio_nepomuksearch_automoc                                                                                      
[  1%] Generating nie.h, nie.cpp                                                                                                   
(Soprano::PluginManager) found no soprano plugin at  "/usr/lib64/soprano/libsoprano_raptorparser.so"                               
Could not find parser plugin for encoding trig                                                                                     
make[2]: *** [nepomuk/strigibackend/nie.h] Ошибка 1                                                                                
make[1]: *** [nepomuk/strigibackend/CMakeFiles/sopranobackend.dir/all] Ошибка 2                                                    
make[1]: *** Ожидание завершения заданий...                                                                                        
Writing nepomukserver.8 for refentry                                                                                               
[  2%] Built target nepomuk-manpage-man-nepomukserver                                                                              
Writing nepomukservicestub.8 for refentry                                                                                          
[  3%] Built target nepomuk-manpage-man-nepomukservicestub                                                                         
make: *** [all] Ошибка 2          

re-emerge soprano not resolve a problem.
Please help.
Comment 25 Phil Turmel 2010-01-23 20:58:57 UTC
(In reply to comment #24)
> I kill files libldap-2.3.* and liblber-2.3.*

The openldap-2.4 ebuild gives specific instructions to run revdep-rebuild against the three leftover libraries, BEFORE deleting them.  If you just delete the files, parts of your system will be broken.  Try revdep-rebuild.
Comment 26 Giuseppe Scaglione 2010-01-28 21:15:38 UTC
(In reply to comment #11)
> I experienced the same behavior but when generating strigiservice.moc
> (nepomuk-4.3.3 ebuild). So I played with it for a little and found out that Sun
> JDK upgrade (from 1.6.0.15 to 1.6.0.17) is related to this segfault (i didn't
> understand why it claims about Blackdown while Sun implementation is selected
> on my system). The problem seems to be in soprano's file
> /usr/bin/onto2vocabularyclass and reemerging soprano helps to me.
> 
> So steps to reproduce this bug that works for me:
> 1. downgrade to dev-java/sun-jdk-1.6.0.15
> 2. emerge soprano (2.3.1)
> 3. upgrade to dev-java/sun-jdk-1.6.0.17
> 4. emerge nepomuk (4.3.2, 4.3.3, whatever)
> 
> Step to fix:
> 1. emerge soprano
> 2. emerge nepomuk
> 



Scanning dependencies of target nepomuk-manpage-man-nepomukservicestub
[  0%] Generating nepomukservicestub.8
[  0%] Built target kio_nepomuksearch_automoc
[  1%] Generating nie.h, nie.cpp
(Soprano::PluginManager) found no soprano plugin at  "/usr/lib64/soprano/libsoprano_sesame2backend.so" 
Failed to create memory model
make[2]: *** [nepomuk/strigibackend/nie.h] Error 1
make[1]: *** [nepomuk/strigibackend/CMakeFiles/sopranobackend.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
Writing nepomukservicestub.8 for refentry
Writing nepomukserver.8 for refentry
[  2%] [  3%] Built target nepomuk-manpage-man-nepomukservicestub
Built target nepomuk-manpage-man-nepomukserver
make: *** [all] Error 2
 * ERROR: kde-base/nepomuk-4.3.5 failed:
 *   Make failed!


Confirmed,  problem solved as well for kde-base/nepomuk-4.3.5 on my system amd64 

Comment 27 Steve Egbert 2010-02-20 06:23:32 UTC
> 
> Step to fix:
> 1. emerge soprano
> 2. emerge nepomuk
> 

Fixed for me
Comment 28 Samuli Suominen gentoo-dev 2010-02-22 12:43:44 UTC
*** Bug 306271 has been marked as a duplicate of this bug. ***
Comment 29 Julien Etienne 2010-04-11 10:39:03 UTC
I experienced the same issue with nepomuk-4.3.5 failing to compile on amd64.
As reported earlier "emerge soprano" then "emerge nepomuk" fixed the issue.
Thanks for the advice ;)
Comment 30 Andreas K. Hüttel gentoo-dev 2010-08-29 11:26:38 UTC
Resolving this since kde-4.3 is gone for good. Please reopen if the problem reappears with kde-4.[45].